\name{computeExplainedVariance}
\alias{computeExplainedVariance}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  computeExplainedVariance
}
\description{
  For a single genome or a set of genomes, the function computes the
  explained variance(s) of the estimated signature contributions/exposures. 
}
\usage{
computeExplainedVariance(exposures, signatures, genomes)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{exposures}{
    (Mandatory) A single vector or list of vectors containing the
    estimated signature contributions/exposures as provided by the
    function decomposeTumorGenomes. A list of vectors is used if the
    explained variance shall be computed for multiple genomes. The
    number of exposure vectors must correspond to the number of genomes
    (see below). The number of elements of each exposure vector must
    correspond to the number of signatures (see below).
  }
  \item{signatures}{
    (Mandatory) The list of signatures (vectors, data.frames or
    matrices) for twhich the exposures were obtained. Each of the
    list objects represents one mutational signature. Vectors are used
    for Alexandrov signatures, data.frames or matrices for Shiraishi
    signatures.
  }
  \item{genomes}{
    (Mandatory) Can be either a vector, a data.frame or a matrix (for an
    individual tumor genome), or a list of one of these object types (for
    multiple tumors). Each tumor genome must be of the same form as
    each of the 'signatures' (see above).
  }
}
%\details{
%}
\value{
  A numeric vectors of explained variances, one for each genome.
}
\references{
Krueger, Piro (2017) Identification of Mutational Signatures Active in
Individual Tumors. NETTAB 2017 - Methods, Tools & Platforms for
Personalized Medicine in the Big Data Era, October 16-18, 2017, Palermo,
Italy. PeerJ Preprints 5:e3257v1, 2017.\cr
http://rmpiro.net/index.html#downloads
}
\author{
  Rosario M. Piro\cr
  Freie Universitaet Berlin\cr
  Maintainer: Rosario M. Piro\cr
  E-Mail: <r.piro@fu-berlin.de> or <rmpiro@gmail.com>
}
%\note{
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
  decompTumor2Sig\cr
  decomposeTumorGenomes\cr
  plotExplainedVariance
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{mutational signatures}
\keyword{mutation signatures}
\keyword{mutations}
\keyword{tumor genomes}
