\name{getSignatureListFromEstimatedParameters}
\alias{getSignatureListFromEstimatedParameters}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  getSignatureListFromEstimatedParameters
}
\description{
  Takes an EstimatedParameters object (signatures data) as computed by
  the 'pmsignature' package (by pmsignature::getPMSignature) and
  extracts the signature information. This can then be passed to
  decomposeTumorGenomes.
}
\usage{
getSignatureListFromEstimatedParameters(Param)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Param}{
    (Mandatory) An EstimatedParameters object as the one produced by
    the pmsignature's signature contruction method
    pmsignature::getPMSignature.
  }
}
%\details{
%}
\value{
  A list of Shiraishi signatures, one object per signature. The format
  is a table with mutliple rows, the first for the base substitution,
  then 2*N rows for N flanking bases in each direction, and finally an
  (optional) row for the transcription strand, if it has been taken into
  account. Please see the pmsignature package for more information.
}
\references{
Krueger, Piro (2017) Identification of Mutational Signatures Active in
Individual Tumors. NETTAB 2017 - Methods, Tools & Platforms for
Personalized Medicine in the Big Data Era, October 16-18, 2017, Palermo,
Italy. PeerJ Preprints 5:e3257v1, 2017.\cr
http://rmpiro.net/index.html#downloads
}
\author{
  Rosario M. Piro, Sandra Krueger\cr
  Freie Universitaet Berlin\cr
  Maintainer: Rosario M. Piro\cr
  E-Mail: <r.piro@fu-berlin.de> or <rmpiro@gmail.com>
}
%\note{
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
  decompTumor2Sig\cr
  loadShiraishiSignatures\cr
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{mutational signatures}
\keyword{mutation signatures}
\keyword{mutations}
\keyword{tumor genomes}
