\name{loadAlexandrovSignatures}
\alias{loadAlexandrovSignatures}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  loadAlexandrovSignatures
}
\description{
  Loads a set Alexandrov signatures from a flat file or URL. Signatures
  must be specified in the COSMIC format (tab-separated); see
  http://cancer.sanger.ac.uk/cosmic/signatures -> Download signatures.

  Example:

  Substitution Type  Trinucleotide  Somatic Mutation Type  Signature 1  Signature 2  Signature 3 ...\cr
C>A	ACA	A[C>A]A	0.011098326166	0.000682708227	0.022172306775 ...\cr
C>A	ACC	A[C>A]C	0.009149340734	0.000619107232	0.017871675353 ...\cr
C>A	ACG	A[C>A]G	0.001490070468	0.000099278956	0.002138339617 ...\cr
C>A	ACT	A[C>A]T	0.006233885236	0.000323891363	0.016265145590 ...\cr
[...]\cr
T>G	TTG	T[T>G]G	0.002031076880	0.000206615168	0.011076526261 ...\cr
T>G	TTT	T[T>G]T	0.004030128160	0.000023598204	0.013000984209 ...\cr
}
\usage{
loadAlexandrovSignatures(file="http://cancer.sanger.ac.uk/cancergenome/assets/signatures_probabilities.txt")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{
    (Mandatory) Can be a single file name or an URL for
    download. Default (COSMIC): 
    "http://cancer.sanger.ac.uk/cancergenome/assets/signatures_probabilities.txt"
  }
}
%\details{
%}
\value{
   A list of Alexandrov signatures that can be used for decomposeTumorGenomes.
}
\references{
Krueger, Piro (2017) Identification of Mutational Signatures Active in
Individual Tumors. NETTAB 2017 - Methods, Tools & Platforms for
Personalized Medicine in the Big Data Era, October 16-18, 2017, Palermo,
Italy. PeerJ Preprints 5:e3257v1, 2017.\cr
http://rmpiro.net/index.html#downloads
}
\author{
  Rosario M. Piro, Sandra Krueger\cr
  Freie Universitaet Berlin\cr
  Maintainer: Rosario M. Piro\cr
  E-Mail: <r.piro@fu-berlin.de> or <rmpiro@gmail.com>
}
%\note{
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
  decompTumor2Sig\cr
  loadShiraishiSignatures\cr
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{mutational signatures}
\keyword{mutation signatures}
\keyword{mutations}
\keyword{tumor genomes}
