\name{plotDecomposedContribution}
\alias{plotDecomposedContribution}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  plotDecomposedContribution
}
\description{
  Plots a the decomposition/exposures of a genome to the mutational
  signatures (mutational processes), that is, the contributions of the
  signatures to the mutations observed in a tumor genome.

  These decompositions can be obtained running decomposeTumorGenomes().
}
\usage{
plotDecomposedContribution(decomposition, signatures=NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{decomposition}{
    (Mandatory) A decomposition vector (exposure vector) obtained for a
    single tumor genome.
  }
  \item{signatures}{
    (Optional) A list object containing the signatures used to compute
    the decomposition. If specified, the signature labels used in the
    plot will be taken from the element names of the list; otherwise
    signatures will be named from sign_1 to sign_N.
  }
}
%\details{
%}
\value{
  No return value. The creates a plot on the decomposed tumor genome.
}
\references{
Krueger, Piro (2017) Identification of Mutational Signatures Active in
Individual Tumors. NETTAB 2017 - Methods, Tools & Platforms for
Personalized Medicine in the Big Data Era, October 16-18, 2017, Palermo,
Italy. PeerJ Preprints 5:e3257v1, 2017.\cr
http://rmpiro.net/index.html#downloads
}
\author{
  Rosario M. Piro\cr
  Freie Universitaet Berlin\cr
  Maintainer: Rosario M. Piro\cr
  E-Mail: <r.piro@fu-berlin.de> or <rmpiro@gmail.com>
}
%\note{
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
  decompTumor2Sig\cr
  decomposeTumorGenomes\cr
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{mutational signatures}
\keyword{mutation signatures}
\keyword{mutations}
\keyword{tumor genomes}
